About

About Crystal Button
  • Crystal Button is a tool for creating professional quality graphics for the Web.
  • You can create a variety of three-dimensional glassy, metallic, plastic and even XP style buttons.
  • You can construct navigation bars, create buttons with different mouseover effects - highlighted, pressed and others.
  • Crystal Button can create 3D images with ease. You can modify the image material as well as the text, lighting, border type, shape, and more!
System Requirements

Operating System:

Microsoft Windows 95/98/Me, Windows NT4.0, Windows 2000, Windows XP

CPU:

Pentium 133 minimum.

Memory:

16M or more for Windows 95/98/ME, 32M or more for Windows NT4.0/2000

Free hard drive space:

3M

How to purchase

Crystal Button can be securely ordered online, by telephone or fax. After your order is processed a personal registration code will be emailed to you.

Pricing information
License Type | Single User
Price Per License | $24.95
Upgrades | Free !

Please choose from the available ordering options to get more infomation:

  • Secure Online Order
  • Switch/Solo debit cards
  • Bank/wire transfer
  • Check/Money Order

Technical Support
Crystal Button Technical support
If you have any problems with Crystal Button you can contact our tech support by emailing

support@CrystalButton.com

Please, make sure you tell us as much information as you can about the problem you are experiencing, including any error or warning messages that may have been displayed.

Inform us about the following:

• Crystal Button version (from About dialog);

• Where did you get Crystal Button (http or ftp site);

• Windows version, US or international, OEM or not;

• Description of your problem (as much information as possible to retrieve the problem).

We’ll try to help you as fast as possible, usually in one or two business days.

If you have any comments or suggestions for the next releases, please feel free to post them to us.
Order information
If you have any questions or problems ordering Crystal Button please contact us at

order@CrystalButton.com

License Ageement

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. Crystal Button Software grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your system. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by Crystal Button Software. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE .

3. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Crystal Button Software and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. CRYSTAL BUTTON SOFTWARE DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. CRYSTAL BUTTON SOFTWARE DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL CRYSTAL BUTTON SOFTWARE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF CRYSTAL BUTTON SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL CRYSTAL BUTTON SOFTWARE LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. GOVERNING LAW. This license will be governed by the laws of the State of South Carolina as they are applied to agreements between South Carolina residents entered into and to be performed entirely within South Carolina . The United Nations Convention on Contracts for the International Sale of Goods is specifically disclaimed.

9. ENTIRE AGREEMENT. This is the entire agreement between you and Crystal Button Software which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

Copyright (c) 2001-2002 Crystal Button Software. All rights reserved.
http://www.CrystalButton.com


Quick Start

Quick Start with Crystal Button
  • Create a new button design
  • Specify button text
  • Button image size
  • Button design options
  • Save button design
  • Export button image

Create a new button design
To create a new button design just pick a design from the Template Library or start from scratch, by pressing New on the Toolbar at the top of the window or New on the File Menu.
Specify button text
After creating a new button design you need to specify the button text. To do this just open the Text Options dialog box. To display this dialog box either click Text Options on the Toolbar at the top of the window or choose Text on the Window menu or press ALT+T. This dialog box provides a range of options for changing the appearance of text. More details of the Text Options dialog box.
Button image size
If you are creating a single button and/or don't need you button to be of a special Width and Height you may skip this step. If you are creating NavBar and want that all NavBar buttons be of the same size you need to specify button size manually. To do this just go to the Image Options Dialog box. To display this dialog box either click Image Options on the Toolbar at the top of the window or choose Image on the Window menu or press ALT+I. More details of the Image Options dialog box.
Button design options
After creating a button design from the library you may use this design as your final button design o adjust some of the button design options. You can adjust the button Lighting, Material, Borders, Shape and Extrusion options.
Save button design
To save your button design either click Save on the Toolbar at the top of the window or choose Save on the File menu or press Ctrl+S. This saves the document as an .cb file, and lets you reload it back into Crystal Button in the future.
Export button image
To export button image click Export on the Toolbar at the top of the window or choose Export on the File menu or press Ctrl+E. This creates a jpg, bmp or gif file of the current document.

To specify the compression options such as quality and compression level choose Export Quality on the Edit Menu.

Note that you cannot reload bitmaps back into Crystal Button so if you want to make further edits in the future, save the document as an .cb file.


Dialogs

Text Options dialog box

To display this dialog box either click Text Options on the Toolbar at the top of the window or choose Text on the Window menu or press ALT+T.
Basic Text Options

1 | Change the vertical alignment of the text. You can align text left, right or center. Note that alignment is applied relative to the text margins. To change the text margins press "More" on the Text Options dialog box.
2 | Change the horizontal alignment of the text. You can align text top, bottom or center. Note that alignment is applied relative to the text margins. To change the text margins press "More" on the Text Options dialog box.
3 | Change the text font name, size and style.
4 | Change the text color.
5 | Switch the Text Options dialog box to the Advanced Mode.
Advanced Text Options

1 | Enable or disable the text extrusion.
2 | Set the text extrusion direction.
3 | Text margins makes it easy to position the text anywhere on the button image. Tip: Crystal Button can display text margins on the button image to simplify the text positioning. To enable this option just go to the Display Settings dialog box and press "Show Text Margins" check button.

Lighting Options dialog box

To display this dialog box either click Lighting Options on the Toolbar at the top of the window or choose Light on the Window menu or press ALT+L.

Crystal Button has three lights shining on the button. Two of these lights can be any position and color. Third light controls self-illumination and can be any color.

Tip: Turning on self-illumination is the best way to create highlighted mouse-over button states.

1 | Turn light source on or off.
2 | Click to change light color.
3 | Alter the slider position to rotate light source in the screen plane:
4 | Alter the slider position to light the button from the front or from behind:
5 | Enable or disable self illumination. Set self illumination color. This is very useful when you need to create highlighted mouse-over button states.

Material Options dialog box

To display this dialog box either click Material Options on the Toolbar at the top of the window or choose Material on the Window menu or press ALT+M.

There are two ways in Crystal Button you can use to specify material:

  • Select predefined material from the list. You can choose metallic, plastic or glassy material.
  • Create your own custom material.
Custom Material Options

1 | Shininess of specular highlights, with a value of 5 giving a plastic look and higher values giving a more metallic look.
2 | Shininess strength of specular highlights.
3 | Enable or disable button transparency.
4 | Alter this slider position to change transparency level.
5 | Set specular highlights color.

Borders Options dialog box

To display this dialog box either click Borders Options on the Toolbar at the top of the window or choose Borders on the Window menu or press ALT+B.
Borders Options

1 | Set appropriate border edge on or off.
2 | Select border shape from the list.
3 | Alter this slider position to set the width of the button border.

Shape Options dialog box

To display this dialog box either click Shape Options on the Toolbar at the top of the window or choose Shape on the Window menu or press ALT+S.
Button Shape Options

1 | Currently selected button shape.
2 | Flip currently selected shape in the horizontal direction.
3 | Flip currently selected shape in the vertical direction.
4 | Set the sharpness level of the currently selected shape.

Deformation Options dialog box

To display this dialog box either click Deformation Options on the Toolbar at the top of the window or choose Deformation on the Window menu or press ALT+D.

There are two ways in Crystal Button you can use to specify deformation (extrusion) options:

  • Select predefined deformation (extrusion) from the list.
  • Create your own custom deformation (extrusion).
Custom Deformation (extrusion) Options

1 | Turn horizontal (vertical) extrusion on or off.
2 | Controls horizontal (vertical) extrusion shift.
3 | Horizontal (vertical) extrusion depth level.
4 Horizontal (vertical) deformation method:
  1. Extrusion with flat center.
  2. Extrusion with curved center.

Image Options dialog box

To display this dialog box either click Image Options on the Toolbar at the top of the window or choose Image on the Window menu or press ALT+I.
Image Options

1 | Size of the the button image in pixels. Note that you can change the size of the button only when the Auto Size check box is unchecked.
2 | When this check box is checked the size of the button image depends on the button text size and text margins. More details of text margins. When this check box is unchecked you can specify the image size in the Width and Height edit boxes.
3 | Click to change background color.


Menus

File Menu
New
Open a new document. You are warned if the existing document has unsaved changes.
Open
Open an existing Crystal Button (.cb) file (A file previously saved using Save or Save as). Note that you cannot open jpg, bmp or gif files exported from Crystal Button.
Save
Save the document as an .cb file. This lets you reload it back into Crystal Button in the future
Save as
Save the document under a different name.
Export Image
Create a jpg, bmp or gif file of the current document.

Note that you cannot reload bitmaps back into Crystal Button so if you want to make further edits in the future, save the document as an .cb file.

Exit
Exit Crystal Button

Edit Menu
Undo
Undo the last action. Crystal Button offers unlimited undo so you can step all the way back to the beginning. You can also press CTRL+Z to undo the last action.
Redo
Undo the last Undo operation (also you can press CTRL-Y to redo).
Copy Image
Put the image into the clipboard, so you can then paste it into other applications.
Export Quality
Display the Export Quality dialog box, so you can change the default quality settings for gif and jpeg image file formats.
Display Settings
Display the Display Settings dialog box. You can change the most common settings: image alignment, dithering options and Template Library settings.

View Menu
Increased Size
Switch Crystal Button to the Increased Size mode, so you can adjust some details of your work.

Note that in this mode the image will be draft quality and if you want to export the button image don’t forget to switch the Crystal Button to the Actual Size mode back.
Actual Size
Switch Crystal Button to the Actual Size mode. You can change the actual image size in the Image Options dialog box. More details of Image Options dialog box.
Template Library
Display or hide the Template Library window.
Toolbar
Display or hide the Toolbar at the top of the window.
Status Bar
Display or hide the Status Bar at the bottom of the window.

Window Menu
Text
Open the Text Options dialog box. This dialog box provides a range of options for changing the appearance of text. More details of the Text Options dialog box.
Light
Open the Lighting Options dialog box. This lets you change the position and the color of the specified light. More details of the Lighting Options dialog box.
Material
Open the Material Options dialog box. This lets you change the material of the button. You can select from predefined materials (glassy, plastic, metallic) or create your own. More details of the Material Options dialog box.
Borders
Open the Borders Options dialog box. This dialog box lets you change borders width and shape. More details of the Borders Options dialog box.
Shape
Open the Shape Options dialog box. This dialog box provides a range of options for changing the shape of the button. More details of the Shape Options dialog box.
Deformation
Open the Deformation Options dialog box. This dialog box provides a range of options for changing the appearance of the button. More details of the Deformation Options dialog box.
Image
Open the Image Options dialog box. This dialog box lets you change the background color and the size of the image. More details of the Image Options dialog box.


Manual

Creation
To create a new Crystal Button document press New on the Toolbar at the top of the window or New on the File Menu or press Ctrl-N. You are warned if the existing document has unsaved changes.
Opening
To open an existing Crystal Button (.cb) file (A file previously saved using Save or Save as). Press Open on the Toolbar at the top of the window or Open on the File Menu or press Ctrl-O.

Note that you cannot open jpg, bmp or gif files exported from Crystal Button.
Saving
To save the current document as an .cb file press Save on the Toolbar at the top of the window or Save on the File Menu or press Ctrl-S. This lets you reload it back into Crystal Button in the future.

You also can save the current document under a different name. To do this just press Save As on the File Menu.
Transferring into another application
To transfer current button image into another application, for example into Adobe PhotoShop or Microsoft Paintbrush, just press Copy on the Toolbar at the top of the window or Copy on the Edit Menu or press Ctrl-C. Than press Paste in your image editing application.
Exporting
To export button image click Export on the Toolbar at the top of the window or choose Export on the File menu or press Ctrl+E. This creates a jpg, bmp or gif file of the current document.

Note that you cannot reload bitmaps back into Crystal Button so if you want to make further edits in the future, save the document as an .cb file.

Setting export quality

To specify the compression options choose Export Quality on the Edit Menu. This displays the Export Quality dialog box, so you can change the default quality settings for gif and jpeg image file formats.
Template Library

By default, when you start Crystal Button, you can see the Template Library window at the left side of the window. You can turn this window on or off. To do this just click Template Library on the Toolbar at the top of the window or choose Template Library on the View menu.
Size Modes

By default Crystal Button runs in the Actual Size mode. You can switch Crystal Button to the Increased Size mode, so you can adjust some details of your work. To do this just press Increased Size on the Toolbar at the top of the window or Increased Size on the View Menu or press Ctrl-I.

Note that in this mode the image will be draft quality and if you want to export the button image don’t forget to switch the Crystal Button to the Actual Size mode back.
Display Settings

You can change the most common Crystal Button settings (image alignment, dithering options and Template Library settings) by pressing Display Settings on the Edit Menu.